Skip to main content

Get Unit Summary By Type and By Client Over Period

GET 

/history/summary/units/speeding-distances/by-client/date/period/this-month

Returns a summary for all units under the specified client.

{{http}}://{{domain}}/api/v1/history/summary/units/{{summary-type}}/by-client/{{client_id}}/date/{{date}}/period/{{period}}

Different summary types can be returned by providing one of the folliowing summary-type arguments:

  • distances: Returns the distances travelled for each unit over the period.
  • max-speed: Returns the maximum speeds reached for each unit over the period.
  • avg-speed: Returns the average speeds travelled for each unit over the period.
  • speeding-distances: Returns the over-speeding distances for each unit over the period.
  • speeding-durations: Returns the total over-speeding duration for each unit over the period.
  • driving-durations: Returns the total driving durations for each unit over the period.
  • idling-durations: Returns the total idling durations for each unit over the period.
  • engine-hours: Returns the total engine hours for each unit over the period.
  • trip-count: Returns the total number of trips for each unit over the period.

The period argument specifies the period for which to retrieve the data and can be one of the following yesterday, today, last-week, this-week, last-month, this-month

Responses

Successful response